/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Messwerte auf einem i2c Bargraph Display mit 10 LEDs ausgeben
 ***************************************************************************/
#ifndef I2C_DAC_HEADER
#define I2C_DAC_HEADER

#define DAC_MAXVAL 4095

#define DAC_ERR_OK 0
#define DAC_ERR_MAX -1

void DAC_Setup(unsigned char dac_adresse);        // DAC Initialisierung
int  DAC_WriteValue(unsigned int val);            // DAC Wert fuer Ausgang setzen
int  DAC_WriteAndRememberValue(unsigned int val); // DAC Wert setzen und im EEPROM merken

#endif
